Error updating database from 3.0.7-PL1 to 3.2.3

Get help with installation and running phpBB 3.2.x here. Please do not post bug reports, feature requests, or extension related questions here.
Post Reply
Tom84
Registered User
Posts: 6
Joined: Sun Nov 18, 2018 2:29 am

Error updating database from 3.0.7-PL1 to 3.2.3

Post by Tom84 » Sun Nov 18, 2018 3:38 am

Hello,

Support Request Template
What version of phpBB are you using? phpBB 3.2.4
What is your board's URL? http://forum.golfmk2.be
Who do you host your board with? One.com
How did you install your board? I used the download package from phpBB.com
What is the most recent action performed on your board? Update from a previous version of phpBB3
Is registration required to reproduce this issue? Yes
Do you have any MODs installed? No
Do you have any extensions installed? No
What version of phpBB3 did you update from? phpBB 3.0.7-PL1
What styles do you currently have installed? prosilver
What language(s) is your board currently using? English UK
Which database type/version are you using? MySQL 5
What is your level of experience? New to PHP but not phpBB
What username can be used to view this issue? No answer given
What password can be used to view this issue? No answer given
What actions did you take (updating your board; installing a MOD, style or extension; etc.) prior to this problem becoming noticeable? Regular upgrade from 3.0 to 3.2, following the installation guide from phpbb (https://www.phpbb.com/support/docs/en/3 ... /upgrade3/)
Please describe your problem.
While trying to update my phpbb forum to 3.2.3, I ran into the following issue. The forum does seem to work when I rename the install folder, but the admin panel gives a message that the installation is incomplete, and that the database is at version 3.1.0-RC6 while the files are at 3.2.4
When updating the database, the following error is produced: SQL ERROR [ mysqli ]Table 'golfmk2_be.phpbb3_oauth_states' doesn't exist [1146]SQLDELETE FROM phpbb3_oauth_states WHERE user_id = 3352 [...]

Thanks in advance for your help

Generated by SRT Generator

User avatar
warmweer
Registered User
Posts: 1489
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Belt ... well actually Belgium

Re: Error updating database from 3.0.7-PL1 to 3.2.3

Post by warmweer » Sun Nov 18, 2018 11:52 am

Since the upgrade stalled at a RC of 3.1. I suspect your 3.0 database has some modifications.
Try to update from your 3.0 to 3.0.14 first (after removing all database modifications). Take a backup, then try to upgrade to 3.1.12, and if that works upgrade to 3.2.4
Up to now, all failed upgrades (that I encountered) from 3.0.x to 3.2.x where either due to timeouts (solved by upgrading on localhost) or to modifications in the 3.0 database.
A bug is a feature that hasn't made it to the manual (yet)

Tom84
Registered User
Posts: 6
Joined: Sun Nov 18, 2018 2:29 am

Re: Error updating database from 3.0.7-PL1 to 3.2.3

Post by Tom84 » Tue Nov 20, 2018 11:50 pm

Thanks for your reply.

I inherited the forum as it is now. I don't think there were any modifications installed, but I used the support toolkit's Database cleaner which said there weren't any.

I'll still try your suggestion and report back here. My host is updating to php 7.2 very soon so I'm running out of time to get this right.

Tom84
Registered User
Posts: 6
Joined: Sun Nov 18, 2018 2:29 am

Re: Error updating database from 3.0.7-PL1 to 3.2.3

Post by Tom84 » Wed Nov 21, 2018 2:02 am

Thank you!

I went from 3.0.7-PL1 to 3.0.14 to 3.1.12 and finally to 3.2.4 without any issues.

User avatar
warmweer
Registered User
Posts: 1489
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Belt ... well actually Belgium

Re: Error updating database from 3.0.7-PL1 to 3.2.3

Post by warmweer » Wed Nov 21, 2018 8:00 am

Tom84 wrote:
Wed Nov 21, 2018 2:02 am
I went from 3.0.7-PL1 to 3.0.14 to 3.1.12 and finally to 3.2.4 without any issues.
Glad to hear (read) that. The staggered upgrade has been a saviour quite a few times already.
A bug is a feature that hasn't made it to the manual (yet)

Tom84
Registered User
Posts: 6
Joined: Sun Nov 18, 2018 2:29 am

Re: Error updating database from 3.0.7-PL1 to 3.2.4

Post by Tom84 » Wed Nov 21, 2018 11:20 am

Hello again,

It seems that I was a bit too happy too soon. While the board seems to work completely, quite a lot of threads throw a "http error 500 - page not working". I'm not sure if this is due to import errors with my host or if something went wrong during phpbb upgrade.
Every step of the upgrade was successful without any warnings. Does this mean that I can exclude phpbb conversions as the cause or is it possible that something still went wrong?

User avatar
warmweer
Registered User
Posts: 1489
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Belt ... well actually Belgium

Re: Error updating database from 3.0.7-PL1 to 3.2.4

Post by warmweer » Wed Nov 21, 2018 11:35 am

Tom84 wrote:
Wed Nov 21, 2018 11:20 am
Hello again,

It seems that I was a bit too happy too soon. While the board seems to work completely, quite a lot of threads throw a "http error 500 - page not working". I'm not sure if this is due to import errors with my host or if something went wrong during phpbb upgrade.
Every step of the upgrade was successful without any warnings. Does this mean that I can exclude phpbb conversions as the cause or is it possible that something still went wrong?
Check your error logs.
Try empying the cache/production manually (and for wath it's worth also empty the cache from the ACP)

Another possibility would be an extension or a style which is not updated for 3.2.3
A bug is a feature that hasn't made it to the manual (yet)

Tom84
Registered User
Posts: 6
Joined: Sun Nov 18, 2018 2:29 am

Re: Error updating database from 3.0.7-PL1 to 3.2.3

Post by Tom84 » Wed Nov 28, 2018 1:14 am

Thanks again, Warmweer, for your reply.

Over the weekend and today I had some time to try out some more things.

I've started from scratch. I first updated from 3.0.7-pl1 to 3.0.14, then I ran the STK database cleanup, which this time did find some things to add and delete. I then upgraded to 3.1.12 as before.

Next I tried a few things. Updating straight to 3.2.4 did work but with the same issues of many missing threads (Error 500).
I then tried to update to 3.2.0 first, which seems to work for now. I only get a php error in the general tab of the ACP

Code: Select all

[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1266: count(): Parameter must be an array or an object that implements Countable
but other than that everything works fine.

Update: this error now appears under every topic description in the board overview.


With 3.2.0 working I tried the automatic updater to go to 3.2.4, but once again this breaks a lot of links.
I've been looking for the files of 3.2.2 and 3.2.3 to see if one of these versions might work, but I didn't seem to be able to find them.


As for error logs, where do I find these? Couldn't find anything on the server, and the action logs in the forum don't tell me much more than "upgraded database to 3.2.x. Any suggestions are welcome, I'm inexperienced in this.

janus_zonstraal
Registered User
Posts: 2783
Joined: Sat Aug 30, 2014 1:30 pm

Re: Error updating database from 3.0.7-PL1 to 3.2.4

Post by janus_zonstraal » Wed Nov 28, 2018 7:26 am

Tom84 wrote:
Wed Nov 21, 2018 11:20 am
Hello again,

It seems that I was a bit too happy too soon. While the board seems to work completely, quite a lot of threads throw a "http error 500 - page not working". I'm not sure if this is due to import errors with my host or if something went wrong during phpbb upgrade.
Every step of the upgrade was successful without any warnings. Does this mean that I can exclude phpbb conversions as the cause or is it possible that something still went wrong?
You have to do the fix, see:
viewtopic.php?f=556&t=2492371
You can find the files here:
viewtopic.php?f=556&t=2492371&start=15#p15137251
Sorry! My English is bat ;) !!!

Tom84
Registered User
Posts: 6
Joined: Sun Nov 18, 2018 2:29 am

Re: Error updating database from 3.0.7-PL1 to 3.2.3

Post by Tom84 » Fri Nov 30, 2018 12:47 am

Thanks Janus,

I just went back to my working 3.2.0 and did a clean upgrade to 3.2.4, the topics now seemed fine, but in some I got the bbcode error. I did your fix and now everything seems to work fine.

Thanks Janus_zonstraal and Warmweer, couldn't have done it without you!

Post Reply

Return to “[3.2.x] Support Forum”

Who is online

Users browsing this forum: holpa, mrcrab, odsw, Paul, rudswa, vader696 and 43 guests